SqlUtil::SqlUtilDateType Class Reference

type for date / timestamp columns More...

Inherits DataProvider::QoreDateDataTypeBase.

## Public Member Functions

auto | acceptsValue (auto value)
| returns the value if the value can be assigned to the type More...
| constructor (string native_type, bool nullable, *hash< auto > options)
| creates the object
string | getName ()
| returns the type name

## Protected Attributes

string | name
| the type name

## Detailed Description

type for date / timestamp columns

Since
  SqlUtil 1.6

## Member Function Documentation

## acceptsValue()

auto SqlUtil::SqlUtilDateType::acceptsValue | ( | auto | value | ) |

returns the value if the value can be assigned to the type

Parameters

  value | the value to assign to the type

Returns
  the value to be assigned; can be converted by the type